Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.sobs

skbio.diversity.alpha.sobs(counts)

  Calculate the observed species richness of a sample.

  Observed species richness, usually denoted as \(S_{obs}\) or simply \(S\), is the number of distinct species (i.e., taxa), or any discrete groups of biological entities found in a sample.

  It should be noted that observed species richness is smaller than or equal to the true species richness of a population from which the sample is collected.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    int

      Observed species richness.

  See also

  `observed_features`